Subject: Re: [Pce] Working Group Last call on draft-ietf-pce-architecture-02.txt

From: Lou Berger <[email-masked]>
Date: Thu, 06 Oct 2005 16:15:40 -0400

JP, Adrian, Gerry,
         I looks like most of my comments on Policy were NOT 
integrated into this version.  These comments applied, even with the 
notion that there would be an additional PCE Policy Architecture document.

What was your thinking here?

Much thanks,
Lou

At 11:43 AM 9/27/2005, JP Vasseur wrote:

>Hi,
>
>draft-ietf-pce-architecture-02.txt has been edited addressing the
>list of open issues and is now ready for working group last call.
>
>This email initiates a working group last call on draft-ietf-pce-
>architecture-02.txt. The last call will end on Tuesday 11th October
>at noon EST.
>
>Please send your comments to the mailing list and copy the chairs.
>
>Thanks.
>
>JP.
>
>
>
>_______________________________________________
>Pce mailing list
>[email-masked]
><https://www1.ietf.org/mailman/listinfo/pce>https://www1.ietf.org/mailman/listinfo/pce 
>

_______________________________________________
Pce mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/pce

---

From: "Adrian Farrel" <[email-masked]>
Date: Sun, 9 Oct 2005 12:19:08 +0100

Hi Lou,

>          I[t] looks like most of my comments on Policy were NOT

I don't think there was any deliberate attempt to leave out text that you
requested included.

The new revision includes three addition pieces of text to cover Policy
- section 6.10 which has been increased in this revision by the
  addition of four paragraphs
- section 8 where a new evaluation metric has been added to examine
  policy
- section 9.1 which is a new section

I'm sure I heard you say

> I think limiting the policy discussion in the arch document to
> ensuring it is include and excluding the definition of specific
> policies is reasonable.

If you would like to suggest text or point us at text you supplied before,
we'd be pleased to see it.

Thanks,
Adrian

---

From: Lou Berger <[email-masked]>
Date: Wed, 12 Oct 2005 11:59:17 -0400

Adrian, (JP, Gerry),
         Sorry about the delayed response.  See below for my original 
set of comments/changes.  I'd like to work with you (probably 
off-line) on the best way to incorporate these and other policy 
related changes.

Please feel free to follow-up on or off the list.

Much thanks,
Lou

>we'd be pleased to see it.

see below.

>Adrian

Here are that changes that I sent privately to the authors on 27 Jul 
2005 17:29:06.  The original changes/comments were in a word 
document, these are in diff format.

198c201
<          topology and routing information between domains.
---
 >          topology, and routing, and policy information between domains.

461a470,484
 > 4.8 Path Selection Policy
 >
 > A PCE may have local policy information that impacts the path selected
 > to support a particular LSP.  A local policy may be applied based on any
 > information provided from a PCC.  The policy may have any number of
 > results including, for example, rejecting the request for a path,
 > providing a path that provides different quality of service, or
 > providing a path that has different costs.  Additionally, changes in PCE
 > policy may force a change to a previously provided path.
 >
 > PCE related policy must also be sensitive to where it is being applied.
 > A different set of policies may be applied for an intra-area or
 > single-layer LSP, than would be provided for an inter-area or
 > multi-layer LSP.
 >
477c500,501
<    which is requested from a PCE. The PCE operates on the TED in order
---
 >    which is requested from a PCE. The PCE operates on the TED, while
 >    consulting with the Policy database, in order

509c534
<               ---------------
---
 >               ------------------------------
518,522c543,547
<              |   ---------   |          |          |
<              |  |         |  |          | Adjacent |
<              |  |   PCE   |  |          |   Node   |
<              |  |         |  |          |          |
<              |   ---------   |          |          |
---
 >              |   ---------      ---------   |          |          |
 >              |  |  Policy |    |         |  |          | Adjacent |
 >              |  | Database|<-->|   PCE   |  |          |   Node   |
 >              |  |         |    |         |  |          |          |
 >              |   ---------      ---------   |          |          |
530c555
<        ------+->| Engine  |<-+----------+->        |
---
 >        ------+---------------->| Engine  |<-+----------+->        |
533c558
<               ---------------
---
 >               ------------------------------
547c572,573
<    as input to the computation and returns a response.
---
 >    as input to the computation and, after consulting with the Policy
 >    database, returns a response.
565c592
<             ----------
---
 >             ----------------------
572,575c599,602
<            |  -----   |
<            | | PCE |  |
<            |  -----   |
<             ----------
---
 >            |  ------      -----   |
 >            | |Policy|<-->| PCE |  |
 >            |  ------      -----   |
 >             ----------------------
589c616
<    it may be a composit PCE node), but those functions are purely
---
 >    it may be a compositcomposite PCE node), but those functions are purely
603c630,631
<    the path.
---
 >    the path.  In this case, all policy decisions are made independently
 >    at each PCE based on information passed from the PCC.
621c650
<             ----------           ----------
---
 >         ------------------       -------------------
625,628c654,657
<            |   -----  |         |   -----  |
<            |  | TED | |         |  | TED | |
<            |   -----  |         |   -----  |
<             ----------           ----------
---
 >        |  ------   -----  |     |   -----   ------  |
 >        | |Policy| | TED | |     |  | TED | |Policy| |
 >        |  ------   -----  |     |   -----   ------  |
 >         ------------------       -------------------
650c679,680
<             ----------                                     ----------
---
 >
 >       ------------------                               ------------------
652c682
<            |   PCE    |<--------------------------------->|   PCE    |
---
 >      |       PCE        |<--------------------------->|       PCE        |
654,657c684,687
<            |   -----  |                                   |   -----  |
<            |  | TED | |                                   |  | TED | |
<            |   -----  |                                   |   -----  |
<             ----------                                     ----------
---
 >      |  ------   -----  |                             |  ------   -----  |
 >      | |Policy| | TED | |                             | |Policy| | TED | |
 >      |  ------   -----  |                             |  ------   -----  |
 >       ------------------                               ------------------
680c711
<    other PCEs. This model does not provide a distributed computaiton
---
 >    other PCEs. This model does not provide a distributed computation
683a715,722
 > There are multiple options for how policy information is coordinated
 > when using this model.  Similar to the previous model, all policy
 > decisions may be made independently at each PCE based on information
 > passed from the previous PCE.  Alternatively, there may be explicit
 > communication of policy information between PCEs.  The type of
 > information conveyed to support policy will have interesting and
 > important implications on what policies may be applied at each PCE.
 >
698c737,739
<    - communication between PCCs and PCEs, and between cooperating PCEs
---
 >    - communication between PCCs and PCEs, and between cooperating PCEs,
 >      including the definition of policy related information
 >      communication
705c746,747
<      responsiveness and robustness of path computation models.
---
 >      responsiveness, and robustness and policy support of path
 >      computation models.
730a773
748c791,793
<    manner in the event of a failure of the primary PCE. Note that at any
---
 >    manner in the event of a failure of the primary PCE. Any policies
 >    present on the primary PCE will also need to be present on the
 >    backup.  Note that at any
760c805,809
<    for a discussion of PCE discovery which impacts on this choice. It
---
 >    for a discussion of PCE discovery which impacts on this choice. Here
 >    too, policies will need to be consistent across the set of available
 >    PCEs.
 >
 >    It
823,824c873,875
<    various static (for example, Boolean capability) or dynamically
<    computed variables (for example, computing resources). Proxy PCE
---
 >    various static (for example, Boolean capability, dynamically
 >    computed variables (for example, computing resources), or based on
 >    specific policy (for example, the specific PCC). Proxy PCE
835c886,888
<    to the PCC and out of the scope of this document.
---
 >    to the PCC and out of the scope of this document.  As previously
 >    mentioned, it is important that each of the multiple PCEs are able to
 >    apply policy consistently across all PCCs and PCC requests.
910a966
 >    - other policy related information
931a988,991
 >    There must also be a mechanism that enables a PCE to withdraw, or
 >    provide updated paths.  The primary purpose of this is to support
 >    changes in PCE policy.
 >
947c1007,1008
<    is that they apply compatible or identical computation algorithms.
---
 >    is that they apply compatible or identical computation algorithms and
 >    policies.
1151c1216
< 6.10. Policy and Confidentiality
---
 > 6.10. Confidentiality
1182c1248,1249
<    it computed earlier (perhaps in reaction to a change in the network),
---
 >    it computed earlier (perhaps in reaction to a change in the network
 >    or a change in policy),
1196a1264,1293
 > 6.12 Policy
 >
 > [May want to move this earlier in the section]
 >
 > Policy impacts multiple aspects of the PCE architecture.  The two
 > predominant impacts are covered in this section.  The first is internal
 > impact; the second is impact on PCE related communication.
 >
 > It is envisioned that policy will be largely applied as a local mater
 > within each PCE.  That said, it is necessary to define the policy models
 > that the PCE architecture can support.  Some example policies include
 > rejection of a request based on requesting PCC or identified
 > constraints, selection of a path based on the computation target, or the
 > selection of a path based on the time of day.  The definition of
 > supported policy models will drive PCE solutions and will enable proper
 > and complete evaluation of specific PCE solutions.  PCE supported policy
 > models TDB.
 >
 > While the implementation and enforcement of policy is largely a local
 > matter, the policies that may be applied impact the communication
 > protocols used to support PCE.  This includes PCC-PCE, PCC-PCC and
 > discovery communication.  The primary impact is to the information
 > carried by the protocols.  To a lesser degree, policy support
 > requirements may also drive the required protocol transactions.  As the
 > more detailed requirements for each PCE communication protocol is
 > defined, it is important for these documents to articulate supported
 > (and unsupported) policy models and the related requirements.  Also, any
 > defined solution must be evaluated on its ability to support these
 > policy models and requirements.
 >
1224a1322,1327
 >
 > - Policy: The ability to apply and enforce policies to, based on the
 >   request information, to reject PCE requests, to select path based on
 >   policy, and to support the modification of policy after a path has
 >   been provided.
 >
1308a1414,1417
 > The policy configuration interface is yet to be determined.  The
 > interface may be purely a local matter, or may be supported via a
 > standardized interface (e.g., MIB.)
 >
1386a1497,1505
 >    - Reuse of existing Policy models and mechanisms
 >
 > There has been significant work done within the IETF on routing and
 > signaling policy.  As policy support mechanisms can be quite extensive,
 > it is worthwhile to explore to what extent this prior work can be
 > leveraged and applied to PCE.  This desire to leverage prior work should
 > not be interpreted as a requirement to use any particular solution or
 > protocol.
 >

---

From: "Adrian Farrel" <[email-masked]>
Date: Wed, 12 Oct 2005 20:18:14 +0100

Lou,

Many apologies. Your email with Word attachment was in my files, and I
missed it.
(In my defence, there were 23 emails on the PCE list about the
architecture that day, and a further 4 private mails.)

Anyway,
We have it now.

I'll look through it on my flight tomorrow.

Cheers,
Adrian